#!/bin/bash

POSITIONAL=()
while [[ $# -gt 0 ]]
do
key="$1"

case $key in
    -a|--n_agents)
    A="$2"
    shift
    shift
    ;;
    -b|--n_bots)
    B="$2"
    shift
    shift
    ;;
    -m|--map_id)
    M="$2"
    shift
    shift
    ;;
    -h|--human_player)
    H="$2"
    shift
    shift
    ;;
    --default)
    DEFAULT=YES
    shift
    ;;
    *)
    POSITIONAL+=("$1")
    shift
    ;;
esac
done
set -- "${POSITIONAL[@]}"

if [ "$A" == "" ]; then
	A=1
fi
if [ "$B" == "" ]; then
	B=2
fi
if [ "$M" == "" ]; then
	M=2
fi
if [ "$H" == "" ]; then
	H=0
fi

P=$((A+H))